Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto
Class CipherKeyGenerator

    java.lang.Object
      org.bouncycastle.crypto.CipherKeyGenerator

Direct Known Subclasses:
  DESKeyGenerator

    public class CipherKeyGenerator

extends java.lang.Object

The base class for symmetric, or secret, cipher key generators.

Field Summary
`protected java.security.SecureRandom` | `random`
`protected int` | `strength`

Constructor Summary
`CipherKeyGenerator()`

Method Summary
`byte[]` | `generateKey()` generate a secret key.
`void` | `init(KeyGenerationParameters param)` initialise the key generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### random

    protected java.security.SecureRandom random

### strength

    protected int strength

Constructor Detail

### CipherKeyGenerator

    public CipherKeyGenerator()

Method Detail

### init

    public void init(KeyGenerationParameters param)

  initialise the key generator.

  Parameters:
    `param` - the parameters to be used for key generation

### generateKey

    public byte[] generateKey()

  generate a secret key.

  Returns:
    a byte array containing the key value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD